%define version 2.22.0
%define release %mkrel 1

%define major	1
%define api_version 2.6

%define glibmm_version 2.4.0
%define gnome_vfs_version 2.8.1

%define pkgname gnome-vfsmm
%define libname		%mklibname %pkgname %api_version %{major}
%define libname_orig	%mklibname %pkgname %api_version
%define develname %mklibname -d %pkgname %api_version

Name:	 	%{pkgname}%{api_version}
Summary: 	A C++ interface for GNOME VFS library
Version: 	%version
Release: 	%release
License: 	LGPL
Group:   	System/Libraries
Source:  	http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
URL:     	http://gtkmm.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gnome-vfs2-devel >= %{gnome_vfs_version}
BuildRequires:	glibmm2.4-devel >= %{glibmm_version}
BuildRequires:	doxygen

%description
This package provides a C++ interface for gnome-vfs (the GNOME
Virtual File System), which provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is a subpackage of the gnomemm project,
which provides a C++ interface for GNOME libraries.

%package	-n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname_orig} = %{version}-%{release}

%description	-n %{libname}
This package provides a C++ interface for gnome-vfs (the GNOME
Virtual File System), which provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is a subpackage of the gnomemm project,
which provides a C++ interface for GNOME libraries.


%package	-n %develname
Summary:	Headers and development files of GNOME VFS C++ wrapper
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	gnome-vfs2-devel >= %{gnome_vfs_version}
Requires:	glibmm2.4-devel >= %{glibmm_version}
Obsoletes: %mklibname -d %pkgname 2.6 1

%description -n %develname
This package contains the headers and various development files needed,
when compiling or developing programs which want C++ wrapper of GNOME
VFS library.

%package	doc
Summary:	Documentation of %{pkgname} library
Group:		Books/Other

%description doc
This package provides API documentation of %{pkgname} library.


%prep
%setup -q -n %pkgname-%version

%build
%configure2_5x --enable-static
%make 

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%install
rm -rf %{buildroot}
%makeinstall_std
find %buildroot -name \*.la|xargs chmod 644

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc COPYING
%{_libdir}/libgnomevfsmm-%{api_version}.so.%{major}*

%files -n %develname
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%files doc
%defattr(-, root, root)
%doc docs/reference/html




%changelog
* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 182999
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.0-2mdv2008.1
+ Revision: 166523
- fix deps

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 2.21.0-1mdv2008.1
+ Revision: 115985
- new version

* Fri Sep 14 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 85543
- new version
- new devel name
- bump deps


* Sat Mar 10 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 140351
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.1
+ Revision: 86159
- Import gnome-vfsmm2.6

* Wed Nov 22 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.1
- fix source URL
- new version

* Wed Aug 23 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Thu Aug 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.15.1-2mdv2007.0
- rebuild w/o selinux on x86_64

* Sat Jul 15 2006 Götz Waschk <waschk@mandriva.org> 2.15.1-1mdk
- New release 2.15.1

* Tue Apr 11 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0
- use mkrel

* Sun Oct 09 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0

* Mon Mar 07 2005 Götz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- New release 2.10.0

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-2mdk 
- Rebuild with latest howl

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- New release 2.8.0
- requires new gnome-vfs
- fix source URL

* Mon Jun 21 2004 Abel Cheung <deaddog@deaddog.org> 2.6.1-2mdk
- Rebuild with new g++
- Reenable libtoolize

* Sat May 15 2004 Abel Cheung <deaddog@deaddog.org> 2.6.1-1mdk
- New version

* Thu Apr 29 2004 Abel Cheung <deaddog@deaddog.org> 2.6.0-1mdk
- First Mandrake package

